#include <fstream>
using namespace std;
void Binary(long long n) 
{ 
    int a[1000]; 
	for(int i=0;n>0;i++)  
	{  
		a[i]=n%2;  
		n=n/2;    
    }
}
 
int main() 
{ 
	ifstream f("doinp.inp");
	ofstream g("doinp.out");
    long long m,a[999999]; int j;
    f>>m;
    for (j=1;j<=n;j++)
    {f>>a[j]}
    for(j=j-1;j>=0;j--)
    {decToBinary(a[i]);
	g<<a[j]<<endl;
	 }
    return 0; 
} 
	
 

